net.sf.jasperreports.components.list

## Class FillDatasetRun

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillDatasetRun
  - - net.sf.jasperreports.components.list.FillDatasetRun

- All Implemented Interfaces:
    java.lang.Cloneable, JRCloneable, JRDatasetRun, JRIdentifiable, JRPropertiesHolder
  Direct Known Subclasses:
    MarkerFillDatasetRun

      public class FillDatasetRun
      extends JRFillDatasetRun

  Used to iterate on the list subdataset at fill time.
  Version:
    $Id: FillDatasetRun.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillDatasetRun

      `connectionExpression, dataset, dataSourceExpression, filler, parameters, parametersMapExpression, parentDatasetRun`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FillDatasetRun(JRDatasetRun datasetRun, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `end()`
    `void` | `evaluate(byte evaluation)`
    `java.lang.Object` | `evaluateDatasetExpression(JRExpression expression, byte evaluationType)`
    `protected JRFillDataset` | `getDataset()`
    `boolean` | `next()`
    `void` | `rewind()`
    `void` | `start()`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillDatasetRun

      `advanceDataset, checkInterrupted, clone, copyConnectionParameter, copyReturnValues, detail, evaluate, getConnectionExpression, getDatasetName, getDataSourceExpression, getParameters, getParametersMapExpression, getParentProperties, getPropertiesMap, getReturnValues, getUUID, group, hasProperties, init, initReturnValues, iterate, saveReturnVariables, setBand`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FillDatasetRun

          public FillDatasetRun(JRDatasetRun datasetRun,
                        JRFillObjectFactory factory)
                         throws JRException

      Throws:
        `JRException`

  - ### Method Detail

    - #### evaluate

          public void evaluate(byte evaluation)
                        throws JRException

      Throws:
        `JRException`

    - #### start

          public void start()
                     throws JRException

      Throws:
        `JRException`

    - #### next

          public boolean next()
                       throws JRException

      Throws:
        `JRException`

    - #### end

          public void end()

    - #### rewind

          public void rewind()
                      throws JRException

      Throws:
        `JRException`

    - #### evaluateDatasetExpression

          public java.lang.Object evaluateDatasetExpression(JRExpression expression,
                                                   byte evaluationType)
                                                     throws JRException

      Throws:
        `JRException`

    - #### getDataset

          protected JRFillDataset getDataset()

      Overrides:
        `getDataset` in class `JRFillDatasetRun`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com